Bug 22168 - Improve styling of new chart settings for reports
Summary: Improve styling of new chart settings for reports
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Reports (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 17282
Blocks: 22287
  Show dependency treegraph
 
Reported: 2019-01-18 13:48 UTC by Katrin Fischer
Modified: 2019-02-25 09:37 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 22168: Improve styling of new chart settings for reports (19.99 KB, patch)
2019-01-18 17:20 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22168: Improve styling of new chart settings for reports (20.06 KB, patch)
2019-01-18 19:21 UTC, Pierre-Marc Thibault
Details | Diff | Splinter Review
Bug 22168: Improve styling of new chart settings for reports (20.14 KB, patch)
2019-01-19 22:40 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 22168: Improve styling of new chart settings for reports (20.05 KB, patch)
2019-01-28 14:58 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2019-01-18 13:48:01 UTC
The new chart settings are great fun, but appear a little "squashed". This form's styling could be improved a little.

1) Run a report
2) Open chart options on top
3) Check out the various options of the form and the formatting
Comment 1 Owen Leonard 2019-01-18 17:20:26 UTC Comment hidden (obsolete)
Comment 2 Pierre-Marc Thibault 2019-01-18 19:21:17 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2019-01-19 22:40:15 UTC Comment hidden (obsolete)
Comment 4 Nick Clemens 2019-01-28 14:45:29 UTC
Needs small rebase
Comment 5 Owen Leonard 2019-01-28 14:58:36 UTC
Created attachment 84486 [details] [review]
Bug 22168: Improve styling of new chart settings for reports

This patch updates a number of aspects of the reports chart creation
interface: Chart creation form is now shown in a modal window, and a
separate link has been added to show or hide the chart itself.

Also changed: Minor markup and JavaScript cleanup.

To test, apply the patch and go to Reports -> Saved reports.

- Run a report which returns more than one column.
- On the report results page, click the "Create chart" button. The chart
  settings form should appear in a modal window.
- Confirm that the form controls work correctly: Each label should give
  focus to the correct input. Changing the chart type should show or
  hide the appropriate form fields.
- Click the "Draw" button. The modal should disappear and the chart
  should be shown.
- Above the chart should be a "Hide chart" link which works to hide (and
  then show) the chart.

Signed-off-by: Pierre-Marc Thibault <pierre-marc.thibault@inLibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Nick Clemens 2019-01-28 16:14:23 UTC
Awesome work all!

Pushed to master for 19.05
Comment 7 Martin Renvoize 2019-02-01 15:28:45 UTC
Pushed to 18.11.x for 18.11.03
Comment 8 Lucas Gass 2019-02-06 22:24:27 UTC
missing dependency, wont backport to 18.05.x